<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en"><head>

<meta charset="utf-8">
<meta name="generator" content="quarto-1.3.450">

<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">


<title>Empirische Arbeiten in der Kognitiven Psychologie / Reach &amp; Touch Lab - 3&nbsp; Aktuelle Forschungsthemen</title>
<style>
code{white-space: pre-wrap;}
span.smallcaps{font-variant: small-caps;}
div.columns{display: flex; gap: min(4vw, 1.5em);}
div.column{flex: auto; overflow-x: auto;}
div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
ul.task-list{list-style: none;}
ul.task-list li input[type="checkbox"] {
  width: 0.8em;
  margin: 0 0.8em 0.2em -1em; /* quarto-specific, see https://github.com/quarto-dev/quarto-cli/issues/4556 */ 
  vertical-align: middle;
}
</style>


<script src="site_libs/quarto-nav/quarto-nav.js"></script>
<script src="site_libs/quarto-nav/headroom.min.js"></script>
<script src="site_libs/clipboard/clipboard.min.js"></script>
<script src="site_libs/quarto-search/autocomplete.umd.js"></script>
<script src="site_libs/quarto-search/fuse.min.js"></script>
<script src="site_libs/quarto-search/quarto-search.js"></script>
<meta name="quarto:offset" content="./">
<link href="./02-questions-before-starting.html" rel="prev">
<script src="site_libs/quarto-html/quarto.js"></script>
<script src="site_libs/quarto-html/popper.min.js"></script>
<script src="site_libs/quarto-html/tippy.umd.min.js"></script>
<script src="site_libs/quarto-html/anchor.min.js"></script>
<link href="site_libs/quarto-html/tippy.css" rel="stylesheet">
<link href="site_libs/quarto-html/quarto-syntax-highlighting.css" rel="stylesheet" id="quarto-text-highlighting-styles">
<script src="site_libs/bootstrap/bootstrap.min.js"></script>
<link href="site_libs/bootstrap/bootstrap-icons.css" rel="stylesheet">
<link href="site_libs/bootstrap/bootstrap.min.css" rel="stylesheet" id="quarto-bootstrap" data-mode="light">
<script id="quarto-search-options" type="application/json">{
  "location": "sidebar",
  "copy-button": false,
  "collapse-after": 3,
  "panel-placement": "start",
  "type": "textbox",
  "limit": 20,
  "language": {
    "search-no-results-text": "No results",
    "search-matching-documents-text": "matching documents",
    "search-copy-link-title": "Copy link to search",
    "search-hide-matches-text": "Hide additional matches",
    "search-more-match-text": "more match in this document",
    "search-more-matches-text": "more matches in this document",
    "search-clear-button-title": "Clear",
    "search-detached-cancel-button-title": "Cancel",
    "search-submit-button-title": "Submit",
    "search-label": "Search"
  }
}</script>


</head>

<body class="nav-sidebar floating">

<div id="quarto-search-results"></div>
  <header id="quarto-header" class="headroom fixed-top">
  <nav class="quarto-secondary-nav">
    <div class="container-fluid d-flex">
      <button type="button" class="quarto-btn-toggle btn" data-bs-toggle="collapse" data-bs-target="#quarto-sidebar,#quarto-sidebar-glass" aria-controls="quarto-sidebar" aria-expanded="false" aria-label="Toggle sidebar navigation" onclick="if (window.quartoToggleHeadroom) { window.quartoToggleHeadroom(); }">
        <i class="bi bi-layout-text-sidebar-reverse"></i>
      </button>
      <nav class="quarto-page-breadcrumbs" aria-label="breadcrumb"><ol class="breadcrumb"><li class="breadcrumb-item"><a href="./03-available-projects.html"><span class="chapter-number">3</span>&nbsp; <span class="chapter-title">Aktuelle Forschungsthemen</span></a></li></ol></nav>
      <a class="flex-grow-1" role="button" data-bs-toggle="collapse" data-bs-target="#quarto-sidebar,#quarto-sidebar-glass" aria-controls="quarto-sidebar" aria-expanded="false" aria-label="Toggle sidebar navigation" onclick="if (window.quartoToggleHeadroom) { window.quartoToggleHeadroom(); }">      
      </a>
      <button type="button" class="btn quarto-search-button" aria-label="" onclick="window.quartoOpenSearch();">
        <i class="bi bi-search"></i>
      </button>
    </div>
  </nav>
</header>
<!-- content -->
<div id="quarto-content" class="quarto-container page-columns page-rows-contents page-layout-article">
<!-- sidebar -->
  <nav id="quarto-sidebar" class="sidebar collapse collapse-horizontal sidebar-navigation floating overflow-auto">
    <div class="pt-lg-2 mt-2 text-left sidebar-header">
    <div class="sidebar-title mb-0 py-0">
      <a href="./">Empirische Arbeiten in der Kognitiven Psychologie / Reach &amp; Touch Lab</a> 
    </div>
      </div>
        <div class="mt-2 flex-shrink-0 align-items-center">
        <div class="sidebar-search">
        <div id="quarto-search" class="" title="Search"></div>
        </div>
        </div>
    <div class="sidebar-menu-container"> 
    <ul class="list-unstyled mt-1">
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./index.html" class="sidebar-item-text sidebar-link">
 <span class="menu-text"><span class="chapter-number">1</span>&nbsp; <span class="chapter-title">Infos zu empirischen Projekten im Rahmen von ES/BSc/MSc</span></span></a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./02-questions-before-starting.html" class="sidebar-item-text sidebar-link">
 <span class="menu-text"><span class="chapter-number">2</span>&nbsp; <span class="chapter-title">Vorab-Fragen bevor man eine Studie beginnt</span></span></a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./03-available-projects.html" class="sidebar-item-text sidebar-link active">
 <span class="menu-text"><span class="chapter-number">3</span>&nbsp; <span class="chapter-title">Aktuelle Forschungsthemen</span></span></a>
  </div>
</li>
    </ul>
    </div>
</nav>
<div id="quarto-sidebar-glass" data-bs-toggle="collapse" data-bs-target="#quarto-sidebar,#quarto-sidebar-glass"></div>
<!-- margin-sidebar -->
    <div id="quarto-margin-sidebar" class="sidebar margin-sidebar">
        <nav id="TOC" role="doc-toc" class="toc-active">
    <h2 id="toc-title">Table of contents</h2>
   
  <ul>
  <li><a href="#körper-im-raum" id="toc-körper-im-raum" class="nav-link active" data-scroll-target="#körper-im-raum"><span class="header-section-number">3.1</span> Körper im Raum</a></li>
  <li><a href="#sensomotorische-entscheidungen-unter-unsicherheit" id="toc-sensomotorische-entscheidungen-unter-unsicherheit" class="nav-link" data-scroll-target="#sensomotorische-entscheidungen-unter-unsicherheit"><span class="header-section-number">3.2</span> Sensomotorische Entscheidungen unter Unsicherheit</a></li>
  <li><a href="#linksrechts-kleingross" id="toc-linksrechts-kleingross" class="nav-link" data-scroll-target="#linksrechts-kleingross"><span class="header-section-number">3.3</span> Links-rechts, klein-groß: Repräsentation von (numerischer) Größe und Raum</a></li>
  <li><a href="#spin-my-hand-right-round-zur-rolle-von-motorischer-simulation-bei-lateralitätsentscheidungen" id="toc-spin-my-hand-right-round-zur-rolle-von-motorischer-simulation-bei-lateralitätsentscheidungen" class="nav-link" data-scroll-target="#spin-my-hand-right-round-zur-rolle-von-motorischer-simulation-bei-lateralitätsentscheidungen"><span class="header-section-number">3.4</span> Spin my hand right round: Zur Rolle von motorischer Simulation bei Lateralitätsentscheidungen</a></li>
  <li><a href="#have-a-break-have-a-boost-motorisches-lernen-in-pausen" id="toc-have-a-break-have-a-boost-motorisches-lernen-in-pausen" class="nav-link" data-scroll-target="#have-a-break-have-a-boost-motorisches-lernen-in-pausen"><span class="header-section-number">3.5</span> Have a break – have a boost? Motorisches Lernen in Pausen</a></li>
  <li><a href="#schmerz-und-handwahrnehmung" id="toc-schmerz-und-handwahrnehmung" class="nav-link" data-scroll-target="#schmerz-und-handwahrnehmung"><span class="header-section-number">3.6</span> Schmerz und Handwahrnehmung</a></li>
  <li><a href="#sensorische-und-physiologische-prozesse-bei-selbstberührung" id="toc-sensorische-und-physiologische-prozesse-bei-selbstberührung" class="nav-link" data-scroll-target="#sensorische-und-physiologische-prozesse-bei-selbstberührung"><span class="header-section-number">3.7</span> Sensorische und physiologische Prozesse bei Selbstberührung</a></li>
  </ul>
</nav>
    </div>
<!-- main -->
<main class="content" id="quarto-document-content">

<header id="title-block-header" class="quarto-title-block default">
<div class="quarto-title">
<h1 class="title"><span id="sec-availableprojects" class="quarto-section-identifier"><span class="chapter-number">3</span>&nbsp; <span class="chapter-title">Aktuelle Forschungsthemen</span></span></h1>
</div>



<div class="quarto-title-meta">

    
  
    
  </div>
  

</header>

<section id="körper-im-raum" class="level2" data-number="3.1">
<h2 data-number="3.1" class="anchored" data-anchor-id="körper-im-raum"><span class="header-section-number">3.1</span> Körper im Raum</h2>
<p><strong>Studienleitung:</strong> tobias.heed@plus.ac.at<br>
<span style="color:gray"><em>Methoden: Motion-Tracking &amp; Psychophysik</em></span></p>
<p>Es erscheint selbstverständlich, dass unser Körper sich im dreidimensionalen Raum zurechtfindet, da unsere Welt in dieser Form existiert. Allerdings zeigen verschiedene Phänomene im Bereich der Körperwahrnehmung, dass es nicht so einfach ist.</p>
<p>Selbst scheinbar triviale Fragen wie die Unterscheidung zwischen zwei Berührungen am gleichen Körperteil können von Menschen nicht immer zuverlässig beantwortet werden. Der Grund dafür ist, dass sich die räumliche Beziehung zwischen Körper und Umwelt ständig verändert, aus dem einfachen Grund, weil sich unser Körper flexibel bewegen lässt. Wie wir Berührungen unserem Körper zuordnen und wie wir daraufhin unsere Handlungen planen, sind Forschungsfragen, mit denen wir uns unter anderem beschäftigen.</p>
<div class="callout callout-style-simple callout-tip callout-titled">
<div class="callout-header d-flex align-content-center">
<div class="callout-icon-container">
<i class="callout-icon"></i>
</div>
<div class="callout-title-container flex-fill">
Interessiert?
</div>
</div>
<div class="callout-body-container callout-body">
<p>Wir bieten regelmäßig Experimente zu diesen Themen an, darunter Verhaltensstudien sowie Studien mit EEG, Motion Tracking und MRT. Für weitere Informationen zu den derzeit geplanten Studien sprechen Sie mich bitte einfach an.</p>
</div>
</div>
<div class="quarto-figure quarto-figure-left">
<figure class="figure">
<p><img src="images/img_touch.png" class="img-fluid figure-img" style="width:50.0%"></p>
<figcaption class="figure-caption">Körper im Raum</figcaption>
</figure>
</div>
</section>
<section id="sensomotorische-entscheidungen-unter-unsicherheit" class="level2" data-number="3.2">
<h2 data-number="3.2" class="anchored" data-anchor-id="sensomotorische-entscheidungen-unter-unsicherheit"><span class="header-section-number">3.2</span> Sensomotorische Entscheidungen unter Unsicherheit</h2>
<p><strong>Studienleitung:</strong> christian.seegelke@plus.ac.at<br>
<span style="color:gray"><em>Methoden: Motion-Tracking</em></span></p>
<p>Unsere Umwelt ist dynamisch, flexibel und unsicher. Das sensomotorische System muss daher schnell auf Veränderungen reagieren können, zum Beispiel im Kontext von Sportspielen.</p>
<ul>
<li>Neurophysiologische Befunde legen nahe, dass das Gehirn mehrere Handlungsoptionen gleichzeitig vorbereitet, um flexibel auf Umweltänderungen reagieren zu können.<br>
</li>
</ul>
<div class="callout callout-style-simple callout-note no-icon">
<div class="callout-body d-flex">
<div class="callout-icon-container">
<i class="callout-icon no-icon"></i>
</div>
<div class="callout-body-container">
<p>In diesem Projekt versuchen wir solche Entscheidungen mittels Bewegungsmessung sichtbar zu machen.</p>
</div>
</div>
</div>
</section>
<section id="linksrechts-kleingross" class="level2" data-number="3.3">
<h2 data-number="3.3" class="anchored" data-anchor-id="linksrechts-kleingross"><span class="header-section-number">3.3</span> Links-rechts, klein-groß: Repräsentation von (numerischer) Größe und Raum</h2>
<p><strong>Studienleitung:</strong> christian.seegelke@plus.ac.at<br>
<span style="color:gray"><em>Methoden: Motion-Tracking, Verhaltensdaten</em></span></p>
<p>In der Schule lernen wir den Umgang mit Zahlen oft mit Hilfe des sogenannten Zahlenstrahls. Dabei werden kleine Zahlen links und große Zahlen rechts dargestellt. Auch kognitiv scheinen wir Zahlen räumlich entlang eines solchen mentalen Zahlenstrahls zu repräsentieren.</p>
<ul>
<li><p>Evidenz dafür liefert unter anderem der sogenannte SNARC-Effekt, welcher die räumliche Verarbeitung von Zahlen belegt. Es besteht die Tendenz, dass kleine Zahlen schneller mit der linken Hand und große Zahlen schneller mit der rechten Hand beantwortet werden.</p></li>
<li><p>Dieser sogenannte SNARC-Effekt wurde nicht nur bei Erwachsenen, sondern auch bei Kleinkindern und Tieren beobachtet, weshalb eine kulturelle Erklärung als Ursache infrage gestellt wird.</p></li>
</ul>
<div class="callout callout-style-simple callout-note no-icon">
<div class="callout-body d-flex">
<div class="callout-icon-container">
<i class="callout-icon no-icon"></i>
</div>
<div class="callout-body-container">
<p>In diesem Projekt untersuchen wir den SNARC und SNARC-ähnliche Effekte genauer, um so potenziellen Erklärungsursachen auf den Grund zu gehen.</p>
</div>
</div>
</div>
<p><img src="images/SNARC_A005.png" title="A005" class="img-fluid" style="width:50.0%" data-fig-align="left" alt="SNARC Effekt"><br>
</p>
<hr>
</section>
<section id="spin-my-hand-right-round-zur-rolle-von-motorischer-simulation-bei-lateralitätsentscheidungen" class="level2" data-number="3.4">
<h2 data-number="3.4" class="anchored" data-anchor-id="spin-my-hand-right-round-zur-rolle-von-motorischer-simulation-bei-lateralitätsentscheidungen"><span class="header-section-number">3.4</span> Spin my hand right round: Zur Rolle von motorischer Simulation bei Lateralitätsentscheidungen</h2>
<p><strong>Studienleitung:</strong> christian.seegelke@plus.ac.at<br>
<span style="color:gray"><em>Methoden: Verhaltensdaten</em></span></p>
<p>Wir können uns Bewegungen „im Kopf” vorstellen, ohne sie tatsächlich auszuführen. Solche motorischen Simulationen können motorische Leistung verbessern (z.B. im Sport) oder motorischen Lernen unterstützen. Unklar hingegen ist ob motorische Simulation auch genutzt wird, um sensorische oder kognitive Probleme zu lösen.</p>
<div class="callout callout-style-simple callout-note no-icon">
<div class="callout-body d-flex">
<div class="callout-icon-container">
<i class="callout-icon no-icon"></i>
</div>
<div class="callout-body-container">
<p>Im Rahmen dieses Projekts wollen wir untersuchen inwiefern Wahrnehmungsentscheidungen bzgl. der Identität von Körperteilen (Händen) auf motorische Simulationsprozesse zurückgreifen.</p>
</div>
</div>
</div>
</section>
<section id="have-a-break-have-a-boost-motorisches-lernen-in-pausen" class="level2" data-number="3.5">
<h2 data-number="3.5" class="anchored" data-anchor-id="have-a-break-have-a-boost-motorisches-lernen-in-pausen"><span class="header-section-number">3.5</span> Have a break – have a boost? Motorisches Lernen in Pausen</h2>
<p><strong>Studienleitung:</strong> christian.seegelke@plus.ac.at<br>
<span style="color:gray"><em>Methoden: Motion-Tracking</em></span></p>
<p>Um adäquat mit Veränderung des eigenen Körpers (z.B. durch Wachstum, Alter, Verletzung etc.) oder der Umwelt umzugehen, ist es nötig unsere Bewegungen flexibel anpassen zu können, um auch weiterhin unsere Bewegungsziele zu erreichen. Solche motorischen Adaptationsprozesse sind Gegenstand intensiver Forschung, aber dennoch immer nicht vollständig verstanden, da offenbar viele sensomotorische und kognitive Faktoren sie beeinflussen.</p>
<div class="callout callout-style-simple callout-note no-icon">
<div class="callout-body d-flex">
<div class="callout-icon-container">
<i class="callout-icon no-icon"></i>
</div>
<div class="callout-body-container">
<p>In diesem Projekt wollen wir u.a. der Frage nachgehen, ob kurze Pausen produktiv für den motorischen Lernprozess sind.</p>
</div>
</div>
</div>
</section>
<section id="schmerz-und-handwahrnehmung" class="level2" data-number="3.6">
<h2 data-number="3.6" class="anchored" data-anchor-id="schmerz-und-handwahrnehmung"><span class="header-section-number">3.6</span> Schmerz und Handwahrnehmung</h2>
<p><strong>Studienleitung:</strong> xaver.fuchs@plus.ac.at<br>
<span style="color:gray"><em>Methoden: experimentelle Schmerzinduktion, taktile Stimulation, Verhaltensexperimente im Labor</em></span></p>
<p>Unter Schmerzen kann sich die Wahrnehmung des eigenen Körpers und seiner Handlungsmöglichkeiten beträchtlich verändern. Das erkennt man schon bei sich selbst, wenn man eine Verletzung hat. Im Bereich von chronischen Schmerzen ist ein viel diskutiertes Thema, ob Veränderungen in der Körperwahrnehmung (oder „Körperrepräsentation“) nicht sogar ein Teil des Problems sind und auch eine aufrechterhaltende oder verschlimmernde Rolle spielen können. Viele Fragen sind allerdings weitgehend unklar. Hier kann in einigen Experimente untersucht werden, wie sich eine experimentelle Schmerzinduktion auf eine zugrunde liegende und weitgehend unbewusste Repräsentation der eigenen Handgröße auswirkt. Wir induzieren dabei leichte Schmerzen in der Hand mittels einer Kombination von ABC-Creme, die wegen des enthaltenen Extraktes aus Chilischoten sich auf der Haut warm anfühlt, und einer Wärmelampe. Die Versuchspersonen schätzen dabei wahrgenommene Orte von Berührungsreizen auf der Haut oder den empfundenen Abstand zwischen zwei berührten Orten ein.</p>
<div class="callout callout-style-simple callout-note no-icon">
<div class="callout-body d-flex">
<div class="callout-icon-container">
<i class="callout-icon no-icon"></i>
</div>
<div class="callout-body-container">
<p>Bei chronischen Schmerzen ist die Wahrnehmung des eigenen Körpers verändert und manche Therapien versuchen genau an dieser Stelle anzusetzen. Aber ist die Veränderte Körperwahrnehmung wirklich eine Konsequenz der Schmerzen? Oder ist es eher andersherum? Das kann untersucht werden, indem man Schmerzen experimentell erzeugt und die Auswirkungen auf die Körperwahrnehmung misst.</p>
<p>Mehrere Abschlussarbeiten zu diesem Thema sind möglich.</p>
</div>
</div>
</div>
<div class="quarto-figure quarto-figure-left">
<figure class="figure">
<p><img src="images/pain_and_body.jpg" class="img-fluid figure-img" style="width:50.0%"></p>
<figcaption class="figure-caption">Taktile Distanzwahrnehmung bei Hitzeschmerz</figcaption>
</figure>
</div>
<div class="quarto-figure quarto-figure-left">
<figure class="figure">
<p><img src="images/pain_and_handsize.jpeg" class="img-fluid figure-img" style="width:50.0%"></p>
<figcaption class="figure-caption">Taktile Lokalisation bei Hitzeschmerz</figcaption>
</figure>
</div>
</section>
<section id="sensorische-und-physiologische-prozesse-bei-selbstberührung" class="level2" data-number="3.7">
<h2 data-number="3.7" class="anchored" data-anchor-id="sensorische-und-physiologische-prozesse-bei-selbstberührung"><span class="header-section-number">3.7</span> Sensorische und physiologische Prozesse bei Selbstberührung</h2>
<p><strong>Studienleitung:</strong> xaver.fuchs@plus.ac.at<br>
<span style="color:gray"><em>Methoden: taktile Stimulation, Verhaltensexperimente im Labor, phsysiologische Messungen, Selbstreport</em></span></p>
<p>Wenn man sich mit der eigenen Hand selbst berührt, zum Beispiel im Gesicht, dann ist das eine spezielle Situation, denn wir fühlen diese Berührung sowohl an der Hand wie auch im Gesicht. Diese Situation, in der Forschung manchmal als „Touchant-Touché“ bezeichnet, könnte eine wichtige Rolle spielen, wie wir unseren eigenen Körper und seine Dimensionen lernen. Gleichzeitig wird Selbstberührungen auch eine Funktion bei Kognition und Emotionsregulation attestiert. Bisher ist zu dem Thema nicht viel geforscht worden und viele Fragen offen. Es können Experimente durchgeführt werden zu der subjektiven Empfindung von Selbstberührung und deren Auswirkung auf das Wohlbefinden, zur Auswirkung auf physiologische Prozesse, wie Herzrate und Atemfrequenz, sowie zu Effekten auf die Verarbeitung von Berührungsreizen selbst.</p>
<div class="callout callout-style-simple callout-note no-icon">
<div class="callout-body d-flex">
<div class="callout-icon-container">
<i class="callout-icon no-icon"></i>
</div>
<div class="callout-body-container">
<p>Selbstberührungen sind für das Gehirn eine besondere Situation mit großem Informationsgehalt über den Zustand des eigenen Körpers sowie seinen räumlichen Aspekten, zum Beispiel wie groß er (bzw. einzelnen Partien) sind und wo sie sich im Raum befinden.</p>
<p>Mehrere Abschlussarbeiten zu diesem Thema sind möglich.</p>
</div>
</div>
</div>
<div class="quarto-figure quarto-figure-left">
<figure class="figure">
<p><img src="images/selftouch.png" class="img-fluid figure-img" style="width:50.0%"></p>
<figcaption class="figure-caption">Selbstberührung führt zu Doppelempfindung</figcaption>
</figure>
</div>


</section>

</main> <!-- /main -->
<script id="quarto-html-after-body" type="application/javascript">
window.document.addEventListener("DOMContentLoaded", function (event) {
  const toggleBodyColorMode = (bsSheetEl) => {
    const mode = bsSheetEl.getAttribute("data-mode");
    const bodyEl = window.document.querySelector("body");
    if (mode === "dark") {
      bodyEl.classList.add("quarto-dark");
      bodyEl.classList.remove("quarto-light");
    } else {
      bodyEl.classList.add("quarto-light");
      bodyEl.classList.remove("quarto-dark");
    }
  }
  const toggleBodyColorPrimary = () => {
    const bsSheetEl = window.document.querySelector("link#quarto-bootstrap");
    if (bsSheetEl) {
      toggleBodyColorMode(bsSheetEl);
    }
  }
  toggleBodyColorPrimary();  
  const icon = "";
  const anchorJS = new window.AnchorJS();
  anchorJS.options = {
    placement: 'right',
    icon: icon
  };
  anchorJS.add('.anchored');
  const isCodeAnnotation = (el) => {
    for (const clz of el.classList) {
      if (clz.startsWith('code-annotation-')) {                     
        return true;
      }
    }
    return false;
  }
  const clipboard = new window.ClipboardJS('.code-copy-button', {
    text: function(trigger) {
      const codeEl = trigger.previousElementSibling.cloneNode(true);
      for (const childEl of codeEl.children) {
        if (isCodeAnnotation(childEl)) {
          childEl.remove();
        }
      }
      return codeEl.innerText;
    }
  });
  clipboard.on('success', function(e) {
    // button target
    const button = e.trigger;
    // don't keep focus
    button.blur();
    // flash "checked"
    button.classList.add('code-copy-button-checked');
    var currentTitle = button.getAttribute("title");
    button.setAttribute("title", "Copied!");
    let tooltip;
    if (window.bootstrap) {
      button.setAttribute("data-bs-toggle", "tooltip");
      button.setAttribute("data-bs-placement", "left");
      button.setAttribute("data-bs-title", "Copied!");
      tooltip = new bootstrap.Tooltip(button, 
        { trigger: "manual", 
          customClass: "code-copy-button-tooltip",
          offset: [0, -8]});
      tooltip.show();    
    }
    setTimeout(function() {
      if (tooltip) {
        tooltip.hide();
        button.removeAttribute("data-bs-title");
        button.removeAttribute("data-bs-toggle");
        button.removeAttribute("data-bs-placement");
      }
      button.setAttribute("title", currentTitle);
      button.classList.remove('code-copy-button-checked');
    }, 1000);
    // clear code selection
    e.clearSelection();
  });
  function tippyHover(el, contentFn) {
    const config = {
      allowHTML: true,
      content: contentFn,
      maxWidth: 500,
      delay: 100,
      arrow: false,
      appendTo: function(el) {
          return el.parentElement;
      },
      interactive: true,
      interactiveBorder: 10,
      theme: 'quarto',
      placement: 'bottom-start'
    };
    window.tippy(el, config); 
  }
  const noterefs = window.document.querySelectorAll('a[role="doc-noteref"]');
  for (var i=0; i<noterefs.length; i++) {
    const ref = noterefs[i];
    tippyHover(ref, function() {
      // use id or data attribute instead here
      let href = ref.getAttribute('data-footnote-href') || ref.getAttribute('href');
      try { href = new URL(href).hash; } catch {}
      const id = href.replace(/^#\/?/, "");
      const note = window.document.getElementById(id);
      return note.innerHTML;
    });
  }
      let selectedAnnoteEl;
      const selectorForAnnotation = ( cell, annotation) => {
        let cellAttr = 'data-code-cell="' + cell + '"';
        let lineAttr = 'data-code-annotation="' +  annotation + '"';
        const selector = 'span[' + cellAttr + '][' + lineAttr + ']';
        return selector;
      }
      const selectCodeLines = (annoteEl) => {
        const doc = window.document;
        const targetCell = annoteEl.getAttribute("data-target-cell");
        const targetAnnotation = annoteEl.getAttribute("data-target-annotation");
        const annoteSpan = window.document.querySelector(selectorForAnnotation(targetCell, targetAnnotation));
        const lines = annoteSpan.getAttribute("data-code-lines").split(",");
        const lineIds = lines.map((line) => {
          return targetCell + "-" + line;
        })
        let top = null;
        let height = null;
        let parent = null;
        if (lineIds.length > 0) {
            //compute the position of the single el (top and bottom and make a div)
            const el = window.document.getElementById(lineIds[0]);
            top = el.offsetTop;
            height = el.offsetHeight;
            parent = el.parentElement.parentElement;
          if (lineIds.length > 1) {
            const lastEl = window.document.getElementById(lineIds[lineIds.length - 1]);
            const bottom = lastEl.offsetTop + lastEl.offsetHeight;
            height = bottom - top;
          }
          if (top !== null && height !== null && parent !== null) {
            // cook up a div (if necessary) and position it 
            let div = window.document.getElementById("code-annotation-line-highlight");
            if (div === null) {
              div = window.document.createElement("div");
              div.setAttribute("id", "code-annotation-line-highlight");
              div.style.position = 'absolute';
              parent.appendChild(div);
            }
            div.style.top = top - 2 + "px";
            div.style.height = height + 4 + "px";
            let gutterDiv = window.document.getElementById("code-annotation-line-highlight-gutter");
            if (gutterDiv === null) {
              gutterDiv = window.document.createElement("div");
              gutterDiv.setAttribute("id", "code-annotation-line-highlight-gutter");
              gutterDiv.style.position = 'absolute';
              const codeCell = window.document.getElementById(targetCell);
              const gutter = codeCell.querySelector('.code-annotation-gutter');
              gutter.appendChild(gutterDiv);
            }
            gutterDiv.style.top = top - 2 + "px";
            gutterDiv.style.height = height + 4 + "px";
          }
          selectedAnnoteEl = annoteEl;
        }
      };
      const unselectCodeLines = () => {
        const elementsIds = ["code-annotation-line-highlight", "code-annotation-line-highlight-gutter"];
        elementsIds.forEach((elId) => {
          const div = window.document.getElementById(elId);
          if (div) {
            div.remove();
          }
        });
        selectedAnnoteEl = undefined;
      };
      // Attach click handler to the DT
      const annoteDls = window.document.querySelectorAll('dt[data-target-cell]');
      for (const annoteDlNode of annoteDls) {
        annoteDlNode.addEventListener('click', (event) => {
          const clickedEl = event.target;
          if (clickedEl !== selectedAnnoteEl) {
            unselectCodeLines();
            const activeEl = window.document.querySelector('dt[data-target-cell].code-annotation-active');
            if (activeEl) {
              activeEl.classList.remove('code-annotation-active');
            }
            selectCodeLines(clickedEl);
            clickedEl.classList.add('code-annotation-active');
          } else {
            // Unselect the line
            unselectCodeLines();
            clickedEl.classList.remove('code-annotation-active');
          }
        });
      }
  const findCites = (el) => {
    const parentEl = el.parentElement;
    if (parentEl) {
      const cites = parentEl.dataset.cites;
      if (cites) {
        return {
          el,
          cites: cites.split(' ')
        };
      } else {
        return findCites(el.parentElement)
      }
    } else {
      return undefined;
    }
  };
  var bibliorefs = window.document.querySelectorAll('a[role="doc-biblioref"]');
  for (var i=0; i<bibliorefs.length; i++) {
    const ref = bibliorefs[i];
    const citeInfo = findCites(ref);
    if (citeInfo) {
      tippyHover(citeInfo.el, function() {
        var popup = window.document.createElement('div');
        citeInfo.cites.forEach(function(cite) {
          var citeDiv = window.document.createElement('div');
          citeDiv.classList.add('hanging-indent');
          citeDiv.classList.add('csl-entry');
          var biblioDiv = window.document.getElementById('ref-' + cite);
          if (biblioDiv) {
            citeDiv.innerHTML = biblioDiv.innerHTML;
          }
          popup.appendChild(citeDiv);
        });
        return popup.innerHTML;
      });
    }
  }
});
</script>
<nav class="page-navigation">
  <div class="nav-page nav-page-previous">
      <a href="./02-questions-before-starting.html" class="pagination-link">
        <i class="bi bi-arrow-left-short"></i> <span class="nav-page-text"><span class="chapter-number">2</span>&nbsp; <span class="chapter-title">Vorab-Fragen bevor man eine Studie beginnt</span></span>
      </a>          
  </div>
  <div class="nav-page nav-page-next">
  </div>
</nav>
</div> <!-- /content -->



</body></html>